ApiShopping
Update a shopping query
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
queryId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/domains/string/shopping/queries/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"domainId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"organizationId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"query": "best wireless headphones",
"groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sourceType": "user-defined",
"topicId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"keyword": "wireless headphones",
"country": "US",
"language": "en",
"locationCode": 2840,
"maxResults": 40,
"isActive": true,
"lastExecutedAt": "2026-05-25T10:30:00.000Z",
"createdAt": "2026-05-25T10:30:00.000Z",
"updatedAt": "2026-05-25T10:30:00.000Z"
}Empty